Skip to main content
GET
/
projects
/
{owner_name}
cURL
curl --request GET \
  --url https://api.avala.ai/api/v1/projects/{owner_name}/ \
  --header 'X-Avala-Api-Key: <api-key>'
{
  "results": [
    {
      "name": "<string>",
      "uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "task_type": "image-annotation",
      "status": "pending-approval",
      "is_active": true,
      "visibility": "public",
      "is_imported": true,
      "owner_name": "<string>",
      "short_description": "<string>",
      "industry_icon": "<string>",
      "task_time_cap_seconds": 1073741823
    }
  ],
  "next": "<string>",
  "previous": "<string>"
}

Authorizations

X-Avala-Api-Key
string
header
required

API key for authentication. Generate one in Mission Control Settings > Security & Identity.

Path Parameters

owner_name
string
required

Query Parameters

name
string

name

ordering
string

Which field to use when ordering the results.

cursor
string

The pagination cursor value.

limit
integer

Number of results to return per page.

order
string

Sets the CursorPagination offset when cursor is also set. e.g. cursor=...&offset=1

reverse
integer

Sets the CursorPagination reverse when cursor is also set. e.g. cursor=...&reverse=1.

Response

200 - application/json
results
object[]
required
next
string<uri> | null
previous
string<uri> | null